extends Node

func _ready():
	GlobalEngine.game_paused.connect(_on_game_paused)
	GlobalEngine.game_unpaused.connect(_on_game_unpaused)
	GlobalEngine.game_finished.connect(_on_game_finished)
	GlobalEngine.game_reset.connect(_on_game_reset)

func _process(_delta):
	pass

func _input(event):
	if event is InputEventKey and Input.is_key_pressed(KEY_P):
		GlobalEngine.toggle_pause()

func _on_game_paused():
	$Blur.blur()
	
func _on_game_unpaused():
	$Blur.unblur()

func _on_game_finished(_elapsed: float, _movement_count: int):
	print("Game._on_game_finsihed")
	$Blur.blur()
	$Win.show()

func _on_game_reset():
	$Blur.unblur()
	$Win.hide()
